@import '~@angular/material/prebuilt-themes/deeppurple-amber.css';

@import "./assets/styles/variables.scss";
@import "./assets/styles/input.scss";
@import "./assets/styles/stores.scss";
@import "./assets/styles/button.scss";
@import "./assets/styles/chip.scss";
@import "./assets/styles/menu.scss";
@import "./assets/styles/dialog.scss";


@font-face {
    font-family: Bison;
    src: url(assets/fonts/Bison.ttf) format("opentype");
}

@import url('https://fonts.googleapis.com/css2?family=Roboto+Condensed:wght@300;400;700&display=swap');

/* 
$custom-typography: mat-typography-config($font-family: '"Roboto Condensed", sans-serif;');
@include mat.core($custom-typography); */



/* Override Notifier */
.notifier__notification--material {
    padding-top: 8px;
    padding-bottom: 8px;
}

/* Override */
/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}

label {
    // Margin bottom into label of checkbox
    margin-bottom: 0;
}

button.mdc-button--raised {
    padding: 4px 12px;
    border-radius: 5px;

    &.small {
        line-height: 28px;
    }
}



button.mdc-button--unelevated.dark-button {
    background-color: #333333;
    color: #fff;
}

.mat-mdc-form-field-appearance-fill .mat-mdc-form-field-flex {
    background-color: rgb(255 255 255 / 86%) !important;
    border-radius: 3px !important;
}

/* Styles zero 2 hero */
body {
    margin: 0;


    app-root {
        background: #fafafa;
        color: #191b32;
    }

    &.hero-dark-theme {
        app-root {
            background: #191b32;
            color: #fafafa;
        }
    }
}

// PAGE
.page {
    width: 100%;
    display: flex;
    flex-direction: column;
    min-height: 100vh;


    >header {
        grid-area: 1/1/2/3;
        background: #fff;
        display: flex;
        width: 100%;
        padding: 30px 50px;

        .content {
            flex: 1;

            >h5 {
                font-weight: 600;
                color: #999;
                font-size: 13px;
            }

            >h1 {
                color: #444;
                font-weight: 600;
                font-size: 28px;
                margin-bottom: 1.5rem;
            }
        }
    }

    >main {
        flex: 1;
        background-color: #f5f7f8;
        padding-top: 2rem;
    }
}

.container {
    display: flex;
}

@media (min-width: 1460px) {

    .container,
    .container-lg,
    .container-md,
    .container-sm,
    .container-xl {
        max-width: 1280px;
    }

}

.card {
    background: #ffffff;
    border-radius: 4px;
    padding: 20px;
    border: none;
}

#diet-seleced-wrapper {
    display: flex;
    margin-left: 250px;
    /*     height: calc(100vh - 64px) !important; */
}

.cdk-drag-preview {
    box-sizing: border-box;

    >.product {
        background: #353c45 !important;
        color: white !important;

        .options {
            display: none !important;
        }
    }
}


.cdk-drag-animating {
    transition: transform 250ms cubic-bezier(0, 0, 0.2, 1);
}

/* Material tables */
.mat-mdc-table {
    thead>tr {
        background: #f5f5f5;
        border-top: 1px solid #ddd;
        color: #000 !important;
        height: 40px;

        >th {
            color: black;
            top: -1px !important;
        }
    }

    tr.mat-mdc-footer-row,
    tr.mat-mdc-row {
        height: 40px;
    }
}

/* Progress bar */

.mat-progress-bar {
    border-radius: 3px;
}

/* Custom Material snacks status */
.mat-snack-bar-container {
    color: white;

    &.success {
        background: var(--success);
    }

    &.danger {
        background: var(--danger);
    }
}

.mat-mdc-tooltip .mdc-tooltip__surface {
    background-color: #212223;
    color: white;
}

/* Fixed width mat-sidenav */
.mat-drawer {
    /*     width: 265px;    */
    border: none;
    box-shadow: none;
    background: #1d1131;
    color: white;

    .mat-drawer-inner-container {
        display: flex;
        flex-direction: column;
    }
}

.mat-drawer-container {
    width: 100%;
    background: #eff3f8;

    .mat-drawer-content {
        /*         height: calc(100vh - 64px) !important; */
        background: #2a326114;
        border-left: none;
    }
}

.mat-mdc-form-field.mat-mdc-form-field-light {
    .mat-mdc-form-field-outline {
        color: rgb(255 255 255 / 12%);
        background: #ffffff12;
        border-radius: 6px;
    }

    .mat-mdc-form-field-outline-thick {
        color: rgb(255 255 255 / 87%);
    }

    .mat-select-value,
    .mat-input-element::placeholder {
        color: rgb(255 255 255 / 87%) !important;
    }

    .mat-select-arrow,
    .cdk-text-field-autofill-monitored:not(:-webkit-autofill),
    .mat-mdc-form-field-suffix .mat-icon,
    .mat-mdc-form-field-label,
    .mat-mdc-form-field-suffix,
    .mat-icon-button {
        color: white;
        caret-color: rgb(255 255 255 / 74%);
    }
}

.mat-mdc-form-field.mat-mdc-form-field-dark {
    .mat-mdc-form-field-outline {
        color: rgb(0 0 0 / 12%);
        background: #00000012;
        border-radius: 6px;
    }

    .mat-mdc-form-field-outline-thick {
        color: rgb(0 0 0 / 87%);
    }

    .mat-select-value,
    .mat-input-element::placeholder {
        color: rgb(0 0 0 / 87%) !important;
    }

    .mat-select-arrow,
    .cdk-text-field-autofill-monitored:not(:-webkit-autofill),
    .mat-mdc-form-field-suffix .mat-icon,
    .mat-mdc-form-field-label,
    .mat-mdc-form-field-suffix,
    .mat-icon-button {
        color: #111;
        caret-color: rgb(0 0 0 / 74%);
    }
}

/* Mat card no padding */
.mat-card {

    &.product-list-card {
        max-height: calc(100% - 113px) !important;
        margin: -20px 20px 20px;
        position: relative;
        padding: 0;
    }
}

/* Showdown Override*/
.mat-h2,
.mat-title,
.mat-typography h2,
.mat-h3,
.mat-subheading-2,
.mat-typography h3 {
    font-size: .9rem;
    margin-bottom: .1rem;
    font-weight: 600;
}



.login-google-button {
    .mat-icon {
        >svg {
            margin-top: -13px;
        }

        &+span {
            margin-left: 8px;
        }
    }

}



/* 
.add-price-backdrop {
    &+.cdk-global-overlay-wrapper {
        .mat-mdc-dialog-container {
            .mat-mdc-dialog-title {
                z-index: 1;
                color: white;

                >h1 {
                    font-weight: 500;
                }
            }

            .mat-mdc-dialog-content {
                margin: -64px -24px;

                form {
                    background: #6941d5;
                    margin: -20px -40px 25px;
                    padding: 75px 30px 20px;

                    button {
                        align-self: flex-start;
                        height: 44.63px;
                    }
                }
            }
        }
    }
} */